#
# spec file for package python-zope.location
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-zope.location
Version:        4.0.3
Release:        2.66
Summary:        Zope Location
License:        ZPL-2.1
Group:          Development/Languages/Python
Url:            http://www.python.org/pypi/zope.location
Source:         https://files.pythonhosted.org/packages/source/z/zope.location/zope.location-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module zope.schema >= 4.2.2}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-zope.interface >= 4.0.2
Requires:       python-zope.proxy >= 4.0.1
Requires:       python-zope.schema >= 4.2.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
In Zope3, location are special objects that has a structural location.

%prep
%setup -q -n zope.location-%{version}
rm -rf src/zope.location.egg-info

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc COPYRIGHT.txt LICENSE.txt CHANGES.rst README.rst
%{python_sitelib}/*

%changelog
* Thu Jul 13 2017 aloisio@gmx.com
- Update to version 4.0.3
  * Added Python 3.4 support.
  * Updated boostrap.py to version 2.2.
- Split docs and tests into separate -doc package since running
  tests and sometimes building docs had become very messy.
  Also see (gh#/zopefoundation/zope.proxy#18)
- Converted to single-spec
* Mon Jul 29 2013 hpj@urpla.net
- version 4.0.2: initial build
